rotate_normalized_axis.hpp File Reference

GLM_GTX_rotate_normalized_axis More...

Go to the source code of this file.

## Functions

template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | rotateNormalizedAxis (tmat4x4< T, P > const &m, T const &angle, tvec3< T, P > const &axis)
| Builds a rotation 4 * 4 matrix created from a normalized axis and an angle. More...
template<typename T , precision P>
GLM_FUNC_DECL tquat< T, P > | rotateNormalizedAxis (tquat< T, P > const &q, T const &angle, tvec3< T, P > const &axis)
| Rotates a quaternion from a vector of 3 components normalized axis and an angle. More...

## Detailed Description

GLM_GTX_rotate_normalized_axis

See also
  GLM Core (dependence)
  GLM_GTC_matrix_transform
  GLM_GTC_quaternion

Definition in file rotate_normalized_axis.hpp.